scala.collection.jcl.Collection
class Filter

[source: `scala/collection/jcl/Collection.scala`]

`` `class` Filter(p : (A) => Boolean)
  `extends` Collection[A]

  Base implementation of a filtered collection

Direct Known Subclasses:
  Set.Filter

Method Summary
`override def` | add (a : A) : Boolean Adds "a" to the collection, return true if "a" is actually added.
`def` | elements : MutableIterator[A] Creates a new iterator over all elements contained in this object.
`override def` | has (a : A) : Boolean
`override def` | projection : Projection returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | remove (a : A) : Boolean
`def` | size : Int Returns the number of elements in this collection.
`def` | transform (f : (A) => A) : Boolean Transforms each element of the collection in-place according to `f`.

Methods inherited from Collection
hasAll, addAll, ++, -=, +=, +

Methods inherited from MutableIterable
removeAll, --, -, retain, retainAll, size0, clear

Methods inherited from Collection
toArray, toString, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, isEmpty, hasDefiniteSize

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Projection `extends` Projection

Method Details

`` `def` transform(f : (A) => A) : Boolean

  Transforms each element of the collection in-place according to `f`.

Parameters
  `f -`
Returns
  `true` if the collection is actually updated.

Overrides
  Collection.transform

`override` `def` add(a : A) : Boolean

  Adds "a" to the collection, return true if "a" is actually added.

Overrides
  Collection.add

`override` `def` has(a : A) : Boolean

Returns
  true if t is in the collection.

`override` `def` remove(a : A) : Boolean

Returns
  true if t was removed from this collection.

`override` `def` projection : Projection

  returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Collection.projection

`` `def` elements : MutableIterator[A]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`` `def` size : Int

  Returns the number of elements in this collection.

Returns
  number of collection elements.